
<ion-content class="ion-padding">

  <ion-label class="ion-align-self-center">
    <ion-img src="../../../assets/img/logo.png" style="width:50%; margin-left:25%" class="ion-padding ion-align-self-center"></ion-img>
    <ion-text color="primary">
      <h1 style="font-size: 52px;
                font-weight: bolder;"
          class="ion-text-center">UFUL</h1>
    </ion-text>
    <p class="ion-text-center">Registrate para aceder a los mejores precios de gasolina en Mexico</p>
  </ion-label>

  <ion-list >

    <ion-item shape="round" fill="outline" class="ion-padding-horizontal" style="padding-bottom: 16px;" lines="inset">
      <ion-label position="floating">Nombre</ion-label>
      <ion-input type="text" [(ngModel)] = "nombre" ></ion-input>
    </ion-item>

    <ion-item shape="round" fill="outline" class="ion-padding-horizontal" lines="inset">
      <ion-label position="floating">
        Email</ion-label>
      <ion-input [(ngModel)] = "email" type="email"
      fill="solid"
      label="Email"
      labelPlacement="floating"
      helperText="Enter a valid email"
      errorText="Invalid email"></ion-input>
    </ion-item>

    <ion-item shape="round" fill="outline" class="ion-padding-horizontal" style="padding-top: 16px;" lines="inset" >
      <ion-label position="floating">Contraseña</ion-label>
      <ion-input [type]="typePassword" minlength="8"  [(ngModel)] = "password" ></ion-input>
      <ion-note slot="helper">Enter a valid password</ion-note>
      <ion-note slot="error">Invalid password</ion-note>
      <ion-icon slot="end" *ngIf="showPassword" (click)="toogleShowPassword()" name="eye-outline"></ion-icon>
      <ion-icon slot="end" *ngIf="!showPassword" (click)="toogleShowPassword()" name="eye-off-outline"></ion-icon>
    </ion-item>

    <ion-item>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-button shape="round" size="large"  expand="full" fill="solid" color="primary" (click)="registrar()">Regístrar</ion-button>
          </ion-col>
          <ion-row>
            <ion-col>
              <p class="ion-text-center" color="medium"> O si ya tienes una cuenta </p>
            </ion-col>
          </ion-row>
          <ion-col>
            <ion-button shape="round" size="medium"  expand="full" fill="solid" color="secondary" routerLink="/login">Iniciar Sesión</ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>

  </ion-list>

<app-social-media-login></app-social-media-login>

</ion-content>
